#pragma once

#define OF_ADDON_USING_OFXVECTORMATH

#include "ofAddons.h"
#include "ofMain.h"

#include "baseCardScene.h"
#include "singleBouncer.h"

class bouncerScene : public baseCardScene{
		
	public:
		//----------------------------------
		bouncerScene();
		void setupScene();
		void render();		
		void renderGui();
		void update();
		void exit();
		
		void keyPressed( int key );
		void keyReleased( int key );
		
		void mouseMoved( int x, int y );
		void mouseDragged( int x, int y, int button );
		void mousePressed( int x, int y, int button );
		void mouseReleased(int x, int y, int button );
	
		//void audioReceived( float * input, int bufferSize, int nChannels );
		//void audioRequested( float * output, int bufferSize, int nChannels );
					
		singleBouncer bouncerRed;
		singleBouncer bouncerBlack;
		
		arFakeMarker fakeMarker;
	
		vector <card> redCards;
		vector <card> blackCards;
	
		int nCards;
		float energyLevel;
		float energyTarget;
	
	
	
	
};